2017-09-23 01:02 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000188Cheat Enginepublic2012-12-01 11:34
Reporterablonevn 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000188: invalid relative jump issues
Descriptionrelative jump in ce doesn't known how to handle short realtive-jump.
example: if i want to jump back 3 byte, then following form is valid

jmp short -3 or db eb fd
but if i input : jmp short +FD then jumping will be jump forward instead jump backward.
i'think long jump will have this bug too, (i haven't test it yet)

and another issues is array of bytes handling.
following form is valid:
db 12 34 56 78 90 12 34 56

but dd 78563412 56341290 will give result 78563412 78563412, may be, are you forgot to increment counter ? :D
TagsNo tags attached.
Attached Files
  • png file icon err.png (40,310 bytes) 2012-11-13 04:40 -
    png file icon err.png (40,310 bytes) 2012-11-13 04:40 +

-Relationships
+Relationships

-Notes

~0000375

Dark Byte (developer)

Last edited: 2012-11-14 03:39

the jumping isn't a bug
If it detects that your relative distance is too big for a short jump, it will override your short override with a long one. (It is ALWAYS a forward jump if + is used)

And the dd thing is a duplicate of bug id http://cheatengine.org/mantis/view.php?id=176

~0000380

ablonevn (reporter)

Last edited: 2012-11-28 05:38

i agree, "It is ALWAYS a forward jump if + is used", ofcouse =)). but in the jump above, do i have added "short" keyword before the jump distance ? that mean the jump will be force short form. in short form only allow jump forward 127 bytes and jumpback 127 bytes, so to jump back 3 byte then input "jmp short +FD" :D. and in long jump, only jump forward 0xffffffff>>1 (0xffffffff/2) and same for backward, total address jumpable is 4Gig on 32 bit systems

~0000381

Dark Byte (developer)

Ok, it's fixed in the svn, relative jumps will now parse the given input as a 1 byte or 4 byte depending on the input
+Notes

-Issue History
Date Modified Username Field Change
2012-11-13 04:40 ablonevn New Issue
2012-11-13 04:40 ablonevn File Added: err.png
2012-11-14 03:38 Dark Byte Note Added: 0000375
2012-11-14 03:38 Dark Byte Status new => acknowledged
2012-11-14 03:39 Dark Byte Note Edited: 0000375
2012-11-28 05:33 ablonevn Note Added: 0000380
2012-11-28 05:33 ablonevn Note Edited: 0000380
2012-11-28 05:34 ablonevn Note Edited: 0000380
2012-11-28 05:37 ablonevn Note Edited: 0000380
2012-11-28 05:37 ablonevn Note Edited: 0000380
2012-11-28 05:38 ablonevn Note Edited: 0000380
2012-11-28 12:08 Dark Byte Note Added: 0000381
2012-12-01 11:34 Dark Byte Status acknowledged => resolved
2012-12-01 11:34 Dark Byte Resolution open => fixed
2012-12-01 11:34 Dark Byte Assigned To => Dark Byte
+Issue History